CVE-2018-16869

Published: 03 December 2018

A Bleichenbacher type side-channel based padding oracle attack was found in the way nettle handles endian conversion of RSA decrypted PKCS#1 v1.5 data. An attacker who is able to run a process on the same physical core as the victim process, could use this flaw extract plaintext or in some cases downgrade any TLS connections to a vulnerable server.

Priority

Low

CVSS 3 base score: 5.7

Status

Package Release Status
nettle
Launchpad, Ubuntu, Debian
Upstream
Released (3.4.1~rc1-1)
Ubuntu 21.04 (Hirsute Hippo) Not vulnerable
(3.4.1~rc1-1)
Ubuntu 20.10 (Groovy Gorilla) Not vulnerable
(3.4.1~rc1-1)
Ubuntu 20.04 LTS (Focal Fossa) Not vulnerable
(3.4.1~rc1-1)
Ubuntu 18.04 LTS (Bionic Beaver) Needed

Ubuntu 16.04 LTS (Xenial Xerus) Needed

Ubuntu 14.04 ESM (Trusty Tahr) Needed

Ubuntu 12.04 ESM (Precise Pangolin) Does not exist